from django.db import models
import uuid

class PlayerPaymentType(models.IntegerChoices):
    CASH = 0, 'Cash'
    LYDIA = 1, 'Lydia'
    GIFT = 2, 'Gift'
    CHECK = 3, 'Check'
    PAYLIB = 4, 'Paylib'
    BANK_WIRE = 5, 'Bank Wire'
    CLUB_HOUSE = 6, 'Club House'
    CREDIT_CARD = 7, 'Credit Card'
    FORFEIT = 8, 'Forfeit'

class PlayerDataSource(models.IntegerChoices):
    FRENCH_FEDERATION = 0, 'French Federation'
    BEACH_PADEL = 1, 'Beach Padel'

class PlayerSexType(models.IntegerChoices):
    FEMALE = 0, 'Female'
    MALE = 1, 'Male'
